librime: rime_traits_t Struct Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Attributes | List of all members
rime_traits_t Struct Reference

Rime traits structure. More...

`#include <rime_api.h>`

## Public Attributes
int | data_size
const char * | shared_data_dir
const char * | user_data_dir
const char * | distribution_name
const char * | distribution_code_name
const char * | distribution_version
const char * | app_name
| Pass a C-string constant in the format "rime.x" where 'x' is the name of your application.
const char ** | modules
| A list of modules to load before initializing.
int | min_log_level
| Minimal level of logged messages.
const char * | log_dir
| Directory of log files.
const char * | prebuilt_data_dir
| prebuilt data directory. defaults to ${shared_data_dir}/build
const char * | staging_dir
| staging directory. defaults to ${user_data_dir}/build

## Detailed Description

Rime traits structure.

Should be initialized by calling RIME_STRUCT_INIT(Type, var)

## Member Data Documentation

## ◆ app_name

const char* rime_traits_t::app_name

Pass a C-string constant in the format "rime.x" where 'x' is the name of your application.

Add prefix "rime." to ensure old log files are automatically cleaned.

## ◆ data_size

int rime_traits_t::data_size

## ◆ distribution_code_name

const char* rime_traits_t::distribution_code_name

## ◆ distribution_name

const char* rime_traits_t::distribution_name

## ◆ distribution_version

const char* rime_traits_t::distribution_version

## ◆ log_dir

const char* rime_traits_t::log_dir

Directory of log files.

Value is passed to Glog library using FLAGS_log_dir variable. NULL means temporary directory, and "" means only writing to stderr.

## ◆ min_log_level

int rime_traits_t::min_log_level

Minimal level of logged messages.

Value is passed to Glog library using FLAGS_minloglevel variable. 0 = INFO (default), 1 = WARNING, 2 = ERROR, 3 = FATAL

## ◆ modules

const char** rime_traits_t::modules

A list of modules to load before initializing.

## ◆ prebuilt_data_dir

const char* rime_traits_t::prebuilt_data_dir

prebuilt data directory. defaults to ${shared_data_dir}/build

## ◆ shared_data_dir

const char* rime_traits_t::shared_data_dir

## ◆ staging_dir

const char* rime_traits_t::staging_dir

staging directory. defaults to ${user_data_dir}/build

## ◆ user_data_dir

const char* rime_traits_t::user_data_dir

The documentation for this struct was generated from the following file:

- rime_api.h